@ECHO OFF

ECHO.
ECHO Installing Intel(R) ME 12.0 software components. Please wait...
ECHO.

CALL SetupME.exe -s -overwrite
ECHO.

IF "%PROCESSOR_ARCHITECTURE%"=="x86" (goto 32bit)

IF exist "C:\Program Files (x86)\Intel\Intel(R) Management Engine Components\IMSS\PrivacyIconClient.exe" (goto VPRO) ELSE (goto COMPLETE)


:32bit
IF exist "C:\Program Files\Intel\Intel(R) Management Engine Components\IMSS\PrivacyIconClient.exe" (goto VPRO) ELSE (goto COMPLETE)


:VPRO
regedit /s AppAutoStartDefaultVal.reg > NUL


:COMPLETE
ECHO Installation completed.
ECHO.

:END